# svn_client_status_t Struct Reference
[Report interesting information about paths in the working copy.]

Structure for holding the "status" of a working copy item. More...

`#include <svn_client.h>`

## Data Fields
svn_node_kind_t | kind
| The kind of node as recorded in the working copy.
const char * | local_abspath
| The absolute path to the node.
svn_filesize_t | filesize
| The actual size of the working file on disk, or SVN_INVALID_FILESIZE if unknown (or if the item isn't a file at all).
svn_boolean_t | versioned
| If the path is under version control, versioned is TRUE, otherwise FALSE.
svn_boolean_t | conflicted
| Set to TRUE if the node is the victim of some kind of conflict.
enum svn_wc_status_kind | node_status
| The status of the node, based on the restructuring changes and if the node has no restructuring changes the text and prop status.
enum svn_wc_status_kind | text_status
| The status of the text of the node, not including restructuring changes.
enum svn_wc_status_kind | prop_status
| The status of the node's properties.
svn_boolean_t | wc_is_locked
| a node can be 'locked' if a working copy update is in progress or was interrupted.
svn_boolean_t | copied
| a file or directory can be 'copied' if it's scheduled for addition-with-history (or part of a subtree that is scheduled as such.
const char * | repos_root_url
| The URL of the repository root.
const char * | repos_uuid
| The UUID of the repository.
const char * | repos_relpath
| The in-repository path relative to the repository root.
svn_revnum_t | revision
| Base revision.
svn_revnum_t | changed_rev
| Last revision this was changed.
apr_time_t | changed_date
| Date of last commit.
const char * | changed_author
| Last commit author of this item.
svn_boolean_t | switched
| a file or directory can be 'switched' if the switch command has been used.
svn_boolean_t | file_external
| If the item is a file that was added to the working copy with an svn:externals; if file_external is TRUE, then switched is always FALSE.
const svn_lock_t * | lock
| The locally present lock.
const char * | changelist
| Which changelist this item is part of, or NULL if not part of any.
svn_depth_t | depth
| The depth of the node as recorded in the working copy (svn_depth_unknown for files or when no depth is recorded).
svn_node_kind_t | ood_kind
| Set to the node kind of the youngest commit, or svn_node_none if not out of date.
enum svn_wc_status_kind | repos_node_status
| The status of the node, based on the text status if the node has no restructuring changes.
enum svn_wc_status_kind | repos_text_status
| The node's text status in the repository.
enum svn_wc_status_kind | repos_prop_status
| The node's property status in the repository.
const svn_lock_t * | repos_lock
| The node's lock in the repository, if any.
svn_revnum_t | ood_changed_rev
| Set to the youngest committed revision, or SVN_INVALID_REVNUM if not out of date.
apr_time_t | ood_changed_date
| Set to the most recent commit date, or `0` if not out of date.
const char * | ood_changed_author
| Set to the user name of the youngest commit, or `NULL` if not out of date or non-existent.
const void * | backwards_compatibility_baton
| Reserved for libsvn_client's internal use; this value is only to be used for libsvn_client backwards compatibility wrappers.

## Detailed Description

Structure for holding the "status" of a working copy item.

Note:
  Fields may be added to the end of this structure in future versions. Therefore, to preserve binary compatibility, users should not directly allocate structures of this type.

Since:
  New in 1.7.

Definition at line 2074 of file svn_client.h.

## Field Documentation

const void* svn_client_status_t::backwards_compatibility_baton

Reserved for libsvn_client's internal use; this value is only to be used for libsvn_client backwards compatibility wrappers.

This value may be NULL or to other data in future versions.

Definition at line 2206 of file svn_client.h.

apr_time_t svn_client_status_t::changed_date

Date of last commit.

Definition at line 2132 of file svn_client.h.

const char* svn_client_status_t::changelist

Which changelist this item is part of, or NULL if not part of any.

Definition at line 2153 of file svn_client.h.

svn_boolean_t svn_client_status_t::conflicted

Set to TRUE if the node is the victim of some kind of conflict.

Definition at line 2091 of file svn_client.h.

svn_boolean_t svn_client_status_t::copied

a file or directory can be 'copied' if it's scheduled for addition-with-history (or part of a subtree that is scheduled as such.

).

Definition at line 2114 of file svn_client.h.

svn_filesize_t svn_client_status_t::filesize

The actual size of the working file on disk, or SVN_INVALID_FILESIZE if unknown (or if the item isn't a file at all).

Definition at line 2084 of file svn_client.h.

const svn_lock_t* svn_client_status_t::lock

The locally present lock.

(Values of path, token, owner, comment and are available if a lock is present)

Definition at line 2150 of file svn_client.h.

enum svn_wc_status_kind svn_client_status_t::node_status

The status of the node, based on the restructuring changes and if the node has no restructuring changes the text and prop status.

Definition at line 2095 of file svn_client.h.

enum svn_wc_status_kind svn_client_status_t::prop_status

The status of the node's properties.

Valid values are: svn_wc_status_none, svn_wc_status_normal, svn_wc_status_modified and svn_wc_status_conflicted.

Definition at line 2105 of file svn_client.h.

const char* svn_client_status_t::repos_relpath

The in-repository path relative to the repository root.

Definition at line 2123 of file svn_client.h.

const char* svn_client_status_t::repos_root_url

The URL of the repository root.

Definition at line 2117 of file svn_client.h.

svn_revnum_t svn_client_status_t::revision

Base revision.

Definition at line 2126 of file svn_client.h.

svn_boolean_t svn_client_status_t::switched

a file or directory can be 'switched' if the switch command has been used.

If this is TRUE, then file_external will be FALSE.

Definition at line 2140 of file svn_client.h.

enum svn_wc_status_kind svn_client_status_t::text_status

The status of the text of the node, not including restructuring changes.

Valid values are: svn_wc_status_none, svn_wc_status_normal, svn_wc_status_modified and svn_wc_status_conflicted.

Definition at line 2100 of file svn_client.h.

svn_boolean_t svn_client_status_t::versioned

If the path is under version control, versioned is TRUE, otherwise FALSE.

Definition at line 2088 of file svn_client.h.

svn_boolean_t svn_client_status_t::wc_is_locked

a node can be 'locked' if a working copy update is in progress or was interrupted.

Definition at line 2109 of file svn_client.h.

The documentation for this struct was generated from the following file:

- svn_client.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines